<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Services/BiosSessionService.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d51/_bios_session_service_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">BiosSessionService.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d51/_bios_session_service_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d9e/class_bios_session_service.html">BiosSessionService</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#a5899b1eb7a05ab667f3ced81666373a0">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>               <a class="code hl_variable" href="../../d4/d9e/class_bios_session_service.html#a5899b1eb7a05ab667f3ced81666373a0">m_GetSessionAttempts</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#ac1e8569d0c006786300c5402d3f5cab8">    4</a></span>    <span class="keywordtype">string</span>                      <a class="code hl_variable" href="../../d4/d9e/class_bios_session_service.html#ac1e8569d0c006786300c5402d3f5cab8">m_CurrentHandle</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#aebdd42d15a07c748c8d2abf5ace4e524">   16</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#aebdd42d15a07c748c8d2abf5ace4e524">EnterGameplaySessionAsync</a>(<span class="keywordtype">string</span> session_address, <span class="keywordtype">int</span> session_port);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#ad54e36ddc21171bcafd28ce92e8814d3">   30</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#ad54e36ddc21171bcafd28ce92e8814d3">LeaveGameplaySessionAsync</a>(<span class="keywordtype">string</span> session_address, <span class="keywordtype">int</span> session_port);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#a9f3dfa6e05d1f2d3f4505035486b2968">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a9f3dfa6e05d1f2d3f4505035486b2968">TryGetSession</a>( <span class="keywordtype">string</span> join_handle = <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">if</span> ( join_handle != <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <a class="code hl_variable" href="../../d4/d9e/class_bios_session_service.html#a5899b1eb7a05ab667f3ced81666373a0">m_GetSessionAttempts</a>    = 0;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <a class="code hl_variable" href="../../d4/d9e/class_bios_session_service.html#ac1e8569d0c006786300c5402d3f5cab8">m_CurrentHandle</a>         = join_handle;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d4/d9e/class_bios_session_service.html#a5899b1eb7a05ab667f3ced81666373a0">m_GetSessionAttempts</a> &lt; 10 )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#aaee0c72f1d0e17a2cec7557ab58e3f8d">GetSessionAsync</a>( <a class="code hl_variable" href="../../d4/d9e/class_bios_session_service.html#ac1e8569d0c006786300c5402d3f5cab8">m_CurrentHandle</a> );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a4cdb0fca27994c18e3e714a8603c0443">GetUserManager</a>().<a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">SelectUserEx</a>(<a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a54c4d42c9814cc2b739537136b23c023">GetBiosUser</a>());</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() != DayZGameState.IN_GAME )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                    <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a6519aefa6f2f15756af244e1220b1d3c">CloseAllSubmenus</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                    <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a7e799c9803f803616be3bb2ec317e3b1">AbortMission</a>();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                    <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetGameState( DayZGameState.MAIN_MENU );</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                    <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetLoadState( DayZLoadState.MAIN_MENU_START );</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>                    <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GamepadCheck();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                    <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.MainMenuLaunch();</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a1f32e7b82c0758482ca98a34e61a3685">ShowDialog</a>( <span class="stringliteral">&quot;#str_xbox_join_fail_title&quot;</span>, <span class="stringliteral">&quot;#str_xbox_join_fail&quot;</span>, 444, DBT_OK, DBB_NONE, DMT_INFO, <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().GetMenu() );</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#aaee0c72f1d0e17a2cec7557ab58e3f8d">   84</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#aaee0c72f1d0e17a2cec7557ab58e3f8d">GetSessionAsync</a>(<span class="keywordtype">string</span> join_handle);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#ab3b13df781da203f582ff5ca921e11ac">   96</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#ab3b13df781da203f582ff5ca921e11ac">SetGameplayActivityAsync</a>(<span class="keywordtype">string</span> session_address, <span class="keywordtype">int</span> session_port);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="comment">//proto native EBiosError   SetLobbyActivityAsync(...);</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#af84d105d20ed5335b71371aa8f44b6d4">  108</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#af84d105d20ed5335b71371aa8f44b6d4">ClearActivityAsync</a>();</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#adde563930949dd7501f0255bfb8f4f88">  121</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#adde563930949dd7501f0255bfb8f4f88">ShowInviteToGameplaySessionAsync</a>(<span class="keywordtype">string</span> session_address, <span class="keywordtype">int</span> session_port);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#a8ca03e4d5ea70c9a31c5939ac38f1abc">  134</a></span>    proto native <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a8ca03e4d5ea70c9a31c5939ac38f1abc">InviteToGameplaySessionAsync</a>(<span class="keywordtype">string</span> session_address, <span class="keywordtype">int</span> session_port, <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> invitee_list);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#ab7c1d471af122f62d46a60b646e4838a">  137</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#ab7c1d471af122f62d46a60b646e4838a">SetMultiplayState</a>(<span class="keywordtype">bool</span> is_active);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#a4cc673ab555b330add21f17bfc380018">  143</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a4cc673ab555b330add21f17bfc380018">OnSetActivity</a>(<a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">ErrorCaught</a>( error );</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#a146797ec14ccf6f099d77d7bce80cf82">  152</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a146797ec14ccf6f099d77d7bce80cf82">OnClearActivity</a>(<a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#a32474f03dfab33c54ba4c67d4ba44601">  161</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a32474f03dfab33c54ba4c67d4ba44601">OnGetGameplaySession</a>(<span class="keywordtype">string</span> session_address, <span class="keywordtype">int</span> session_port)</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    {   </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <a class="code hl_variable" href="../../d4/d9e/class_bios_session_service.html#a5899b1eb7a05ab667f3ced81666373a0">m_GetSessionAttempts</a> = 0;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() == DayZGameState.IN_GAME )</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            <span class="keywordtype">string</span> addr;</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            <span class="keywordtype">int</span> port;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            <span class="keywordtype">bool</span> found = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a44150d6b94f55df1d92d71d08c53883f">GetHostAddress</a>( addr, port );</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            <span class="keywordflow">if</span> ( found &amp;&amp; !( addr == session_address &amp;&amp; port == session_port ) )</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>                <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#affa959396f610a92b12f08556a124e8d">SetInviteServerInfo</a>( session_address, session_port );</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetUIManager().EnterScriptedMenu( <a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga91c4c093cdf1a675aa289143a0d574b9">MENU_INVITE_TIMER</a>, null );</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            {</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>                <a class="code hl_class" href="../../d8/d5d/class_notification_system.html">NotificationSystem</a>.<a class="code hl_function" href="../../d8/d5d/class_notification_system.html#ae7e705691ea84eaf201e629d1643d7c4">AddNotification</a>( <a class="code hl_enumeration" href="../../d5/d74/_notification_system_8c.html#a25a31a4bdc02a0d0adb743e26dd14ba9">NotificationType</a>.INVITE_FAIL_SAME_SERVER, 6, <span class="stringliteral">&quot;#ps4_already_in_session&quot;</span> );</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.ConnectFromJoin( session_address, session_port );</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    }</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    <span class="comment">/*void OnGetLobbySession(...)</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span><span class="comment">    {</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#ac9cd040dd3db0e0e04e92d42469ccb34">  195</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#ac9cd040dd3db0e0e04e92d42469ccb34">OnGetSessionError</a>(<a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    {</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">ErrorCaught</a>( error );</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <a class="code hl_variable" href="../../d4/d9e/class_bios_session_service.html#a5899b1eb7a05ab667f3ced81666373a0">m_GetSessionAttempts</a>++;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span><span class="preprocessor">        #ifdef PLATFORM_XBOX</span></div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">GetCallQueue</a>( <a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a> ).<a class="code hl_function" href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">CallLater</a>( <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a9f3dfa6e05d1f2d3f4505035486b2968">TryGetSession</a>, 100, <span class="keyword">false</span>, <span class="stringliteral">&quot;&quot;</span> );</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span><span class="preprocessor">        #else</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span><span class="preprocessor">            #ifdef PLATFORM_PS4</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a4cdb0fca27994c18e3e714a8603c0443">GetUserManager</a>().<a class="code hl_function" href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">SelectUserEx</a>(<a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a54c4d42c9814cc2b739537136b23c023">GetBiosUser</a>());</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>                <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() != DayZGameState.IN_GAME )</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>                {</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>                    <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() )</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>                    {</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>                        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() != DayZGameState.MAIN_MENU )</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>                        {</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>                            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a6519aefa6f2f15756af244e1220b1d3c">CloseAllSubmenus</a>();</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>                            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a7e799c9803f803616be3bb2ec317e3b1">AbortMission</a>();</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>                            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() == DayZGameState.JOIN)</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>                                <a class="code hl_class" href="../../d8/d5d/class_notification_system.html">NotificationSystem</a>.<a class="code hl_function" href="../../d8/d5d/class_notification_system.html#ae7e705691ea84eaf201e629d1643d7c4">AddNotification</a>(<a class="code hl_enumeration" href="../../d5/d74/_notification_system_8c.html#a25a31a4bdc02a0d0adb743e26dd14ba9">NotificationType</a>.JOIN_FAIL_GET_SESSION, 6);</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>                            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetGameState( DayZGameState.MAIN_MENU );</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>                            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.SetLoadState( DayZLoadState.MAIN_MENU_START );</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>                            <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GamepadCheck();</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>                            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>                        }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>                    }</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>                    {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>                        <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.MainMenuLaunch();</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>                    }</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>                }</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>                <a class="code hl_class" href="../../d8/d5d/class_notification_system.html">NotificationSystem</a>.<a class="code hl_function" href="../../d8/d5d/class_notification_system.html#ae7e705691ea84eaf201e629d1643d7c4">AddNotification</a>( <a class="code hl_enumeration" href="../../d5/d74/_notification_system_8c.html#a25a31a4bdc02a0d0adb743e26dd14ba9">NotificationType</a>.JOIN_FAIL_GET_SESSION, 6 );</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    }</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>    </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#a6aaa1fa5a49b53fe321db843938c5c1c">  237</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a6aaa1fa5a49b53fe321db843938c5c1c">OnEnterGameplaySession</a>(<span class="keywordtype">string</span> session_address, <span class="keywordtype">int</span> session_port, <a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    {</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        <span class="keywordflow">if</span> ( !<a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">ErrorCaught</a>( error ) )</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        {</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>            <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#ab3b13df781da203f582ff5ca921e11ac">SetGameplayActivityAsync</a>( session_address, session_port );</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>            <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a8cdc6ee26a3c00833daf32162dc430f3">GetPendingInviteList</a>() )</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>                <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a8ca03e4d5ea70c9a31c5939ac38f1abc">InviteToGameplaySessionAsync</a>( session_address, session_port, <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a8cdc6ee26a3c00833daf32162dc430f3">GetPendingInviteList</a>() );</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>            </div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>            <span class="comment">//OnlineServices.GetCurrentServerInfo(session_address, session_port);</span></div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        }</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    }</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    </div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span> </div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#a5261e2ffc412ac410b7d4b3cc4ba44e3">  253</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a5261e2ffc412ac410b7d4b3cc4ba44e3">OnLeaveGameplaySession</a>(<a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    {</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    }</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    </div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span> </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#af7025cf0097a9e06e17996c81dcd83fe">  261</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#af7025cf0097a9e06e17996c81dcd83fe">OnShowInviteToGameplaySession</a>(<a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>    {</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>        <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">ErrorCaught</a>( error );</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    }</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span> </div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> </div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno"><a class="line" href="../../d4/d9e/class_bios_session_service.html#a6042bb972f358b2c01ea64228fb8fad9">  270</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9e/class_bios_session_service.html#a6042bb972f358b2c01ea64228fb8fad9">OnInviteToGameplaySession</a>(<a class="code hl_enumeration" href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a> error)</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>    {</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span> </div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>    }</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    </div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>};</div>
<div class="ttc" id="a_b_i_o_s_error_module_8c_html_a112301e9d14b76a1669e09f081559cd1"><div class="ttname"><a href="../../d6/da5/_b_i_o_s_error_module_8c.html#a112301e9d14b76a1669e09f081559cd1">EBiosError</a></div><div class="ttdeci">EBiosError</div><div class="ttdoc">Possible Error codes for bios API. This is the list of errors that can be returned from bios API....</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/da5/_b_i_o_s_error_module_8c_source.html#l00006">BIOSErrorModule.c:7</a></div></div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03101">DayZGame.c:3101</a></div></div>
<div class="ttc" id="a_notification_system_8c_html_a25a31a4bdc02a0d0adb743e26dd14ba9"><div class="ttname"><a href="../../d5/d74/_notification_system_8c.html#a25a31a4bdc02a0d0adb743e26dd14ba9">NotificationType</a></div><div class="ttdeci">NotificationType</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d74/_notification_system_8c_source.html#l00003">NotificationSystem.c:4</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html">BiosSessionService</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00001">BiosSessionService.c:2</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_a146797ec14ccf6f099d77d7bce80cf82"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#a146797ec14ccf6f099d77d7bce80cf82">BiosSessionService::OnClearActivity</a></div><div class="ttdeci">void OnClearActivity(EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00152">BiosSessionService.c:152</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_a32474f03dfab33c54ba4c67d4ba44601"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#a32474f03dfab33c54ba4c67d4ba44601">BiosSessionService::OnGetGameplaySession</a></div><div class="ttdeci">void OnGetGameplaySession(string session_address, int session_port)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00161">BiosSessionService.c:161</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_a4cc673ab555b330add21f17bfc380018"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#a4cc673ab555b330add21f17bfc380018">BiosSessionService::OnSetActivity</a></div><div class="ttdeci">void OnSetActivity(EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00143">BiosSessionService.c:143</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_a5261e2ffc412ac410b7d4b3cc4ba44e3"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#a5261e2ffc412ac410b7d4b3cc4ba44e3">BiosSessionService::OnLeaveGameplaySession</a></div><div class="ttdeci">void OnLeaveGameplaySession(EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00253">BiosSessionService.c:253</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_a5899b1eb7a05ab667f3ced81666373a0"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#a5899b1eb7a05ab667f3ced81666373a0">BiosSessionService::m_GetSessionAttempts</a></div><div class="ttdeci">protected int m_GetSessionAttempts</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00003">BiosSessionService.c:3</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_a6042bb972f358b2c01ea64228fb8fad9"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#a6042bb972f358b2c01ea64228fb8fad9">BiosSessionService::OnInviteToGameplaySession</a></div><div class="ttdeci">void OnInviteToGameplaySession(EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00270">BiosSessionService.c:270</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_a6aaa1fa5a49b53fe321db843938c5c1c"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#a6aaa1fa5a49b53fe321db843938c5c1c">BiosSessionService::OnEnterGameplaySession</a></div><div class="ttdeci">void OnEnterGameplaySession(string session_address, int session_port, EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00237">BiosSessionService.c:237</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_a8ca03e4d5ea70c9a31c5939ac38f1abc"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#a8ca03e4d5ea70c9a31c5939ac38f1abc">BiosSessionService::InviteToGameplaySessionAsync</a></div><div class="ttdeci">proto native EBiosError InviteToGameplaySessionAsync(string session_address, int session_port, array&lt; string &gt; invitee_list)</div><div class="ttdoc">Send invite to list of users.</div></div>
<div class="ttc" id="aclass_bios_session_service_html_a9f3dfa6e05d1f2d3f4505035486b2968"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#a9f3dfa6e05d1f2d3f4505035486b2968">BiosSessionService::TryGetSession</a></div><div class="ttdeci">void TryGetSession(string join_handle=&quot;&quot;)</div><div class="ttdoc">Gets a session from a join handle.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00041">BiosSessionService.c:41</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_aaee0c72f1d0e17a2cec7557ab58e3f8d"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#aaee0c72f1d0e17a2cec7557ab58e3f8d">BiosSessionService::GetSessionAsync</a></div><div class="ttdeci">proto native EBiosError GetSessionAsync(string join_handle)</div><div class="ttdoc">Gets a session from a join handle.</div></div>
<div class="ttc" id="aclass_bios_session_service_html_ab3b13df781da203f582ff5ca921e11ac"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#ab3b13df781da203f582ff5ca921e11ac">BiosSessionService::SetGameplayActivityAsync</a></div><div class="ttdeci">proto native EBiosError SetGameplayActivityAsync(string session_address, int session_port)</div><div class="ttdoc">Sets the activity to a gameplay session.</div></div>
<div class="ttc" id="aclass_bios_session_service_html_ab7c1d471af122f62d46a60b646e4838a"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#ab7c1d471af122f62d46a60b646e4838a">BiosSessionService::SetMultiplayState</a></div><div class="ttdeci">proto native void SetMultiplayState(bool is_active)</div><div class="ttdoc">Notifiy about interactive multiplayer state.</div></div>
<div class="ttc" id="aclass_bios_session_service_html_ac1e8569d0c006786300c5402d3f5cab8"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#ac1e8569d0c006786300c5402d3f5cab8">BiosSessionService::m_CurrentHandle</a></div><div class="ttdeci">string m_CurrentHandle</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00004">BiosSessionService.c:4</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_ac9cd040dd3db0e0e04e92d42469ccb34"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#ac9cd040dd3db0e0e04e92d42469ccb34">BiosSessionService::OnGetSessionError</a></div><div class="ttdeci">void OnGetSessionError(EBiosError error)</div><div class="ttdoc">//! Callback function, not implemented</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00195">BiosSessionService.c:195</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_ad54e36ddc21171bcafd28ce92e8814d3"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#ad54e36ddc21171bcafd28ce92e8814d3">BiosSessionService::LeaveGameplaySessionAsync</a></div><div class="ttdeci">proto native EBiosError LeaveGameplaySessionAsync(string session_address, int session_port)</div><div class="ttdoc">Leave a gameplay session.</div></div>
<div class="ttc" id="aclass_bios_session_service_html_adde563930949dd7501f0255bfb8f4f88"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#adde563930949dd7501f0255bfb8f4f88">BiosSessionService::ShowInviteToGameplaySessionAsync</a></div><div class="ttdeci">proto native EBiosError ShowInviteToGameplaySessionAsync(string session_address, int session_port)</div><div class="ttdoc">Show system UI to invite friends to current gameplay session.</div></div>
<div class="ttc" id="aclass_bios_session_service_html_aebdd42d15a07c748c8d2abf5ace4e524"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#aebdd42d15a07c748c8d2abf5ace4e524">BiosSessionService::EnterGameplaySessionAsync</a></div><div class="ttdeci">proto native EBiosError EnterGameplaySessionAsync(string session_address, int session_port)</div><div class="ttdoc">Enter a gameplay session.</div></div>
<div class="ttc" id="aclass_bios_session_service_html_af7025cf0097a9e06e17996c81dcd83fe"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#af7025cf0097a9e06e17996c81dcd83fe">BiosSessionService::OnShowInviteToGameplaySession</a></div><div class="ttdeci">void OnShowInviteToGameplaySession(EBiosError error)</div><div class="ttdoc">Callback function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d51/_bios_session_service_8c_source.html#l00261">BiosSessionService.c:261</a></div></div>
<div class="ttc" id="aclass_bios_session_service_html_af84d105d20ed5335b71371aa8f44b6d4"><div class="ttname"><a href="../../d4/d9e/class_bios_session_service.html#af84d105d20ed5335b71371aa8f44b6d4">BiosSessionService::ClearActivityAsync</a></div><div class="ttdeci">proto native EBiosError ClearActivityAsync()</div><div class="ttdoc">not implemented</div></div>
<div class="ttc" id="aclass_bios_user_manager_html_ad4ffe34634a379852666373b5928d359"><div class="ttname"><a href="../../de/db3/class_bios_user_manager.html#ad4ffe34634a379852666373b5928d359">BiosUserManager::SelectUserEx</a></div><div class="ttdeci">void SelectUserEx(BiosUser user)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d7f/_bios_user_manager_8c_source.html#l00090">BiosUserManager.c:90</a></div></div>
<div class="ttc" id="aclass_c_game_html_a00980b6b66e736a4af85fe1a935fd25e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">CGame::GetUIManager</a></div><div class="ttdeci">proto native UIManager GetUIManager()</div></div>
<div class="ttc" id="aclass_c_game_html_a44150d6b94f55df1d92d71d08c53883f"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a44150d6b94f55df1d92d71d08c53883f">CGame::GetHostAddress</a></div><div class="ttdeci">proto bool GetHostAddress(out string address, out int port)</div><div class="ttdoc">Gets the server address. (from client)</div></div>
<div class="ttc" id="aclass_c_game_html_a4cdb0fca27994c18e3e714a8603c0443"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a4cdb0fca27994c18e3e714a8603c0443">CGame::GetUserManager</a></div><div class="ttdeci">proto native BiosUserManager GetUserManager()</div></div>
<div class="ttc" id="aclass_c_game_html_a53af342998a36596f46c4e67a2517f4e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">CGame::GetCallQueue</a></div><div class="ttdeci">ScriptCallQueue GetCallQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01311">Game.c:1311</a></div></div>
<div class="ttc" id="aclass_c_game_html_aedfacca42304fed9eff41cbb197f73a7"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">CGame::GetMission</a></div><div class="ttdeci">proto native Mission GetMission()</div></div>
<div class="ttc" id="aclass_mission_html_a7e799c9803f803616be3bb2ec317e3b1"><div class="ttname"><a href="../../db/dad/class_mission.html#a7e799c9803f803616be3bb2ec317e3b1">Mission::AbortMission</a></div><div class="ttdeci">void AbortMission()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00682">gameplay.c:682</a></div></div>
<div class="ttc" id="aclass_notification_system_html"><div class="ttname"><a href="../../d8/d5d/class_notification_system.html">NotificationSystem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d74/_notification_system_8c_source.html#l00056">NotificationSystem.c:57</a></div></div>
<div class="ttc" id="aclass_notification_system_html_ae7e705691ea84eaf201e629d1643d7c4"><div class="ttname"><a href="../../d8/d5d/class_notification_system.html#ae7e705691ea84eaf201e629d1643d7c4">NotificationSystem::AddNotification</a></div><div class="ttdeci">static void AddNotification(NotificationType type, float show_time, string detail_text=&quot;&quot;)</div><div class="ttdoc">Send notification from default types to local player.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d74/_notification_system_8c_source.html#l00156">NotificationSystem.c:156</a></div></div>
<div class="ttc" id="aclass_online_services_html"><div class="ttname"><a href="../../d0/d36/class_online_services.html">OnlineServices</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00001">OnlineServices.c:2</a></div></div>
<div class="ttc" id="aclass_online_services_html_a54c4d42c9814cc2b739537136b23c023"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a54c4d42c9814cc2b739537136b23c023">OnlineServices::GetBiosUser</a></div><div class="ttdeci">static BiosUser GetBiosUser()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00509">OnlineServices.c:509</a></div></div>
<div class="ttc" id="aclass_online_services_html_a8cdc6ee26a3c00833daf32162dc430f3"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a8cdc6ee26a3c00833daf32162dc430f3">OnlineServices::GetPendingInviteList</a></div><div class="ttdeci">static array&lt; string &gt; GetPendingInviteList()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00602">OnlineServices.c:602</a></div></div>
<div class="ttc" id="aclass_online_services_html_ab498f9248a50c13d13b14a61a5fe7479"><div class="ttname"><a href="../../d0/d36/class_online_services.html#ab498f9248a50c13d13b14a61a5fe7479">OnlineServices::ErrorCaught</a></div><div class="ttdeci">static bool ErrorCaught(EBiosError error)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00082">OnlineServices.c:82</a></div></div>
<div class="ttc" id="aclass_online_services_html_affa959396f610a92b12f08556a124e8d"><div class="ttname"><a href="../../d0/d36/class_online_services.html#affa959396f610a92b12f08556a124e8d">OnlineServices::SetInviteServerInfo</a></div><div class="ttdeci">static void SetInviteServerInfo(string ip, int port)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00172">OnlineServices.c:172</a></div></div>
<div class="ttc" id="aclass_script_call_queue_html_abe764b22b6eee91d169f3f5996fe0c3d"><div class="ttname"><a href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">ScriptCallQueue::CallLater</a></div><div class="ttdeci">proto void CallLater(func fn, int delay=0, bool repeat=false, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">adds call into the queue with given parameters and arguments (arguments are held in memory until the ...</div></div>
<div class="ttc" id="aclass_u_i_manager_html_a1f32e7b82c0758482ca98a34e61a3685"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a1f32e7b82c0758482ca98a34e61a3685">UIManager::ShowDialog</a></div><div class="ttdeci">proto native void ShowDialog(string caption, string text, int id, int butts, int def, int type, UIScriptedMenu handler)</div><div class="ttdoc">Shows message dialog.</div></div>
<div class="ttc" id="aclass_u_i_manager_html_a6519aefa6f2f15756af244e1220b1d3c"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a6519aefa6f2f15756af244e1220b1d3c">UIManager::CloseAllSubmenus</a></div><div class="ttdeci">bool CloseAllSubmenus()</div><div class="ttdoc">Close all opened menus except first menu.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd4/_u_i_manager_8c_source.html#l00100">UIManager.c:100</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___menu_i_d_html_ga91c4c093cdf1a675aa289143a0d574b9"><div class="ttname"><a href="../../d7/d7f/group___menu_i_d.html#ga91c4c093cdf1a675aa289143a0d574b9">MENU_INVITE_TIMER</a></div><div class="ttdeci">const int MENU_INVITE_TIMER</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00180">constants.c:180</a></div></div>
<div class="ttc" id="agroup___tools_html_gaaf491f3ecd1d9aefb35a16bf96ca420c"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a></div><div class="ttdeci">const int CALL_CATEGORY_SYSTEM</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00008">tools.c:8</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_4a9dcb1770818e47f33f91c96091773e.html">Services</a></li><li class="navelem"><a class="el" href="../../d6/d51/_bios_session_service_8c.html">BiosSessionService.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
